---
updatedAt: 2025-10-09T17:59:14.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Get Multiple Publishing Schedules

Retrieves all publishing schedulesRefers to a configuration that identifies a live channel or live event and a publishing target. Use a publishing schedule to syndicate a live channel or a live event to a social media platform..

### Request

Request syntax:

`GET /syndication-schedule`

### Response

The response for a successful request contains the following properties:

| Name         | Data Type            | Description                                            |
| ------------ | -------------------- | ------------------------------------------------------ |
| @id          | String               | Indicates the relative path to the requested endpoint. |
| @type        | String               | Returns Collection.                                    |
| items        | List of dictionaries | Contains a list of publishing schedules.               |
| total\_items | Integer              | Indicates the total number of publishing schedules.    |

#### items List

The items list describes each publishing schedule via the following properties:

| Name                             | Data Type  | Description                                                                                                                                                                                                                                                                                   |          |         |           |       |
| :------------------------------- | :--------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------- | :------ | :-------- | :---- |
| @id                              | String     | Indicates the relative path to an endpoint that returns this publishing schedule.                                                                                                                                                                                                             |          |         |           |       |
| @type                            | String     | Returns SyndicationSchedule.                                                                                                                                                                                                                                                                  |          |         |           |       |
| audio\_track                     | String     | Indicates the name of the audio track that will be published.                                                                                                                                                                                                                                 |          |         |           |       |
| content\_id                      | String     | Identifies a live channel or live event by its system-defined ID.                                                                                                                                                                                                                             |          |         |           |       |
| content\_type                    | String     | Indicates whether the content*id parameter identifies a live channel or a live event. Valid values are:* e: Live Event \_ c: Live Channel                                                                                                                                                     |          |         |           |       |
| err\_msg                         | String     | Indicates the publishing schedule's last error message. The system generates an error message whenever the publishing schedule's status is set to error.                                                                                                                                      |          |         |           |       |
| id                               | String     | Indicates the system-defined ID for the publishing schedule.                                                                                                                                                                                                                                  |          |         |           |       |
| last\_status                     | String     | Indicates the timestamp, in Unix time (milliseconds), at which the publishing schedule's status was last updated.                                                                                                                                                                             |          |         |           |       |
| region                           | String     | Indicates the location where your stream will be converted to a feed that may be ingested by the social media or content distribution platform identified by the publishing target. An empty string identifies the default output location.                                                   |          |         |           |       |
| region\_auto\_selected           | Boolean    | Indicates whether this publishing schedule's publishing location is set to auto selected.                                                                                                                                                                                                     |          |         |           |       |
| scte35\_enabled                  | Integer    | HLS (Push/Pull) or Zixi (Push)  Indicates whether SCTE-35 markers will be inserted into the published stream. Valid values are:   *0: Disabled.* 1: Enabled.                                                                                                                                  |          |         |           |       |
| source\_stream  Deprecated       | String     | This parameter has been deprecated.                                                                                                                                                                                                                                                           |          |         |           |       |
| source\_url\_params              | Dictionary | Contains key-value pairs for query string parameters. Syndication Publishing adds these parameters to the playback URL published to your social media or content distribution platform.                                                                                                       |          |         |           |       |
| start                            | Integer    | Indicates the timestamp, in Unix time (milliseconds), at which the publishing schedule was last started.                                                                                                                                                                                      |          |         |           |       |
| status                           | String     | Indicates the publishing schedule's status. Valid values are: active                                                                                                                                                                                                                          | stopping | stopped | scheduled | error |
| stop                             | Integer    | Indicates the timestamp, in Unix time (milliseconds), for either of the following conditions:   *Active Publishing Schedule: Reports one year from the start time.* Stopped Publishing Schedule: Reports the timestamp at which the publishing schedule entered the stopped state.            |          |         |           |       |
| syndication\_target\_description | String     | Indicates the description for the publishing target.                                                                                                                                                                                                                                          |          |         |           |       |
| syndication\_target\_id          | String     | Indicates the system-defined ID for the publishing targetRefers to a configuration that identifies the URL to which your content may be published. A publishing schedule leverages a publishing target configuration to syndicate a live channel or a live event to a social media platform.. |          |         |           |       |
| target\_platform\_config         | Dictionary | HLS (Push/Pull) or Zixi (Push)  Contains a social media or content distribution platform's settings.                                                                                                                                                                                          |          |         |           |       |
| type                             | String     | Returns downloader.                                                                                                                                                                                                                                                                           |          |         |           |       |
| url\_params\_active              | Boolean    | Indicates whether our service may add your custom query string parameters to the playback URLs defined within the manifest file.                                                                                                                                                              |          |         |           |       |
| video\_quality                   | String     | Indicates the stream quality that will be published to the social media or content distribution platform. Valid values are: high                                                                                                                                                              | medium   | low     |           |       |

#### target\_platform\_config Dictionary

The target\_platform\_config dictionary describes a social media or content distribution platform's settings via the following properties:

| Name                            | Data Type             | Description                                                                                                                                                                                                                                      |         |          |
| :------------------------------ | :-------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------ | :------- |
| broadcast\_id                   | String                | Reserved for internal use.                                                                                                                                                                                                                       |         |          |
| channel\_id\_pristine           | String                | Reserved for internal use.                                                                                                                                                                                                                       |         |          |
| hls\_master\_url                | String                | HLS (Pull) Only  Indicates the URL to which our service will push a HLS stream once you start publishing to this target. You will need to configure the desired social media or content distribution platform to pull the stream using this URL. |         |          |
| integrated                      | Boolean               | Reserved for future use.                                                                                                                                                                                                                         |         |          |
| integrated\_description         | String                | Facebook and YouTube (Integrated Authentication)  Indicates the video's description.                                                                                                                                                             |         |          |
| integrated\_title               | String                | Facebook and YouTube (Integrated Authentication)  Indicates the video's title.                                                                                                                                                                   |         |          |
| integrated\_yt\_made\_for\_kids | Boolean               | YouTube (Integrated Authentication) Only  Indicates whether the video is appropriate for kids.                                                                                                                                                   |         |          |
| integrated\_yt\_privacy         | String                | YouTube (Integrated Authentication) Only  Indicates the video's privacy level. Valid values are: public                                                                                                                                          | private | unlisted |
| rays                            | List of string values | HLS (Push/Pull)  Contains a list of the ray(s) that will be published.  Use the [Get Rays endpoint](#GetRays) to retrieve a list of rays (all) and their names (ray\_name).                                                                      |         |          |
| stream\_id                      | String                | Reserved for internal use.                                                                                                                                                                                                                       |         |          |

### Sample Request/Response

The code below (Python 3) shows how to retrieve all publishing schedules.

This code imports names from the `api_auth` module for V4 APIs (see below).

<TutorialTile
  backgroundColor="#018FF4"
  emoji="🦉"
  id="682d18228dd6230012097fad"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v4-apis"
  slug="api-auth-for-classic-authentication-v4-apis"
  title="API Auth for Classic Authentication (V4 APIs)"
/> 

```python
import requests
from api_auth import APICredentials, APIParams

class PublishingSchedule:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_publishing_schedule()

    def _get_publishing_schedule(self):
        url = "{}{}".format(self.host, "/api/v4/syndication-schedule")

        headers = {'Content-Type': 'application/json'}

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )

        print(response.json())

PublishingSchedule().run()
```

Response:

```json
{
	"@id": "/api/v4/syndication-schedule",
	"@type": "Collection",
	"items": [{
			"@id": "/api/v4/syndication-schedule/e8d6b5cb940c40cc9ec6ad081a38f3f0",
			"@type": "SyndicationSchedule",
			"id": "e8d6b5cb940c40cc9ec6ad081a38f3f0",
			"start": "",
			"stop": "",
			"syndication_target_id": "d30f655670cb426c98cd28afb6291bf4",
			"status": "scheduled",
			"last_status": "",
			"err_msg": "",
			"type": "downloader",
			"video_quality": "medium",
			"audio_track": "en",
			"content_id": "1df8d13992cd4222a7343b8fafd89cd7",
			"content_type": "c",
			"syndication_target_description": "My Publishing Schedule"
		}
	],
	"total_items": 1
}
```